26th January 2018

cURL/SSL Errors - Wordpress

Wordpress installs are experiencing cURL/SSL erorrs when updating Wordpress and/or plugins. This is an issue with Wordpress.org's server(s) and they are actively working on this matter.

You can view more information on this issue at https://meta.trac.wordpress.org/ticket/3383

Update: This has been resolved at Wordpress' end. Please feel free to contact our support if you continue to encounter any issues in this regard.